/* $Id: channels.h,v 1.5 2002/04/30 11:44:03 leemh Exp $
 * -------------------------------------------------------
 * Copyright (c) 1998-2002 Sebastian Kienzl <zap@riot.org>
 *           (c) 2002 Lee Hardy <lee@leeh.co.uk>
 * -------------------------------------------------------
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

#ifndef _CHANNELS_H_
#define _CHANNELS_H_

typedef struct
{
    char **data;
    char **topic;
    char **topicwho;
    char **topicwhen;
    int amount;
} channellist_type;

extern channellist_type channels;

void add_channel(char *s);
void rem_channel(char *s);
void drop_channels();
void compact_channels_table(int *);
char *list_channels();
/* returns NULL if empty or ,-delimited channels, must be freed!! */

void channel_topic(char *, char *);
void channel_when(char *, char *, char *);

extern int find_channel(char *);
extern unsigned int hash_channel(char *);

#endif
